Skip to main content
POST
Create loyalty point activity

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

customer id

Body

application/json
activity
enum<string>
required
Available options:
order,
credit-note,
tier-upgrade,
signup,
bonus,
other,
new-customer
action
enum<string>
required
Available options:
add,
remove
title
string
required
loyalty_points
integer
required
reference_number
string | null
internal_note
string | null
remarks
string | null

Response

200 - application/json

OK

message
string
success
boolean
content
object